=== scripts/CMakeLists.txt ===
function(install_script_files scriptname)
  if(APPLE)
    install(FILES ${ARGN} DESTINATION ${CMAKE_BINARY_DIR}/clementine.app/Contents/Resources/scripts/${scriptname}/)
  else(APPLE)
    install(FILES ${ARGN} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/clementine/scripts/${scriptname}/)
  endif(APPLE)
endfunction(install_script_files)

add_subdirectory(digitallyimported-radio)
add_subdirectory(remove-duplicates)
add_subdirectory(invalidate-deleted)
