=== scripts/digitallyimported-radio/CMakeLists.txt ===
install_script_files(digitallyimported-radio
  diservice.py
  icon.png
  icon-sky.png
  icon-small.png
  main.py
  script.ini
  servicebase.py
  settingsdialog.py
  settingsdialog.ui
  skyservice.py
)
