=== scripts/invalidate-deleted/CMakeLists.txt ===
install_script_files(invalidate-deleted
  icon.png
  invalidate_deleted.py
  script.ini
)
