=== debian/changelog ===
clementine (0.7.1-0ubuntu2) natty; urgency=low

  * Rename empty .po target files to .po.target so pkgbinarymangler doesn't
    choke on them.
    - Add 01_no_empty_po_files.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 09 Apr 2011 20:41:34 +0200

clementine (0.7.1-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #747113)
  * Drop all patches, have been applied upstream.
  * Update debian/copyright.
  * Refresh description in debian/control in order to avoid lintian error.
  * Bump debhelper to 8.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 06 Apr 2011 15:20:06 +0200
