=== debian/control ===
Source: clementine
Section: sound
Priority: optional
Maintainer: Artur Rona <ari-tczew@ubuntu.com>
Build-Depends: cmake (>= 2.6),
               debhelper (>= 8),
               libboost-dev,
               libglew1.5-dev,
               libgpod-dev,
               libgstreamer-plugins-base0.10-dev,
               libgstreamer0.10-dev,
               libimobiledevice-dev,
               libindicate-qt-dev (>= 0.2.5.91),
               liblastfm-dev,
               libmtp-dev,
               libplist-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libtag1-dev (>= 1.6),
               libusbmuxd-dev,
               qt4-dev-tools
Standards-Version: 3.9.1
Homepage: http://www.clementine-player.org/

Package: clementine
Architecture: any
Depends: gstreamer0.10-alsa | gstreamer0.10-audiosink,
         gstreamer0.10-plugins-base,
         gstreamer0.10-plugins-good,
         gstreamer0.10-plugins-ugly,
         libqt4-sql-sqlite,
         projectm-data,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Modern music player and library organiser inspired by Amarok 1.4
 Clementine focuses on a fast and easy-to-use interface for searching and
 playing your music.
 .
 Features include:
   * Search and play your local music library
   * Listen to internet radio from Last.fm, SomaFM, Magnatune, Jamendo and
     Icecast
   * Create smart playlists and dynamic playlists
   * Tabbed playlists, import and export M3U, XSPF, PLS, ASX and CUE
   * Visualisations from projectM
   * Lyrics and artist biographies and photos
   * Transcode music into MP3, Ogg Vorbis, Ogg Speex, FLAC or AAC
   * Edit tags on MP3 and OGG files, organise your music
   * Download missing album cover art from Last.fm
   * Cross-platform - works on Windows, Mac OS X and Linux
   * Native desktop notifications on Linux (libnotify) and Mac OS X (Growl)
   * Remote control using a Wii Remote, MPRIS or the command-line
   * Copy music to your iPod, iPhone, MTP or mass-storage USB player
   * Queue manager
