## clementine 0.7.1%2Bdfsg

=== debian/changelog ===
clementine (0.7.1+dfsg-4~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Remove libindicate-qt-dev from Build-Depends because libindicate-qt is
    not avaible in squeeze and rebuild without sound menu integration support.

 -- Thomas PIERSON <web.pierson@gmail.com>  Wed, 07 Dec 2011 21:03:03 +0100

clementine (0.7.1+dfsg-4) unstable; urgency=low

  [ Artur Rona ]
  * Merge changes from Ubuntu:
    - Use wrap-and-sort script
    - Bump to debhelper 8
    - Specify Build-Depends
    - Remove blank line from d/install and d/watch
    - Add override for Changelog file
  * Fix d/copyright to make lintian happy:
    - Add missing licenses LGPL-2.1+ and GPL-3+
    - Specify Format header and add Upstream-Name

  [ Thomas Pierson ]
  * Add Lisandro and Artur to d/control as Co-Maintainers.
  * Add libindicate-qt-dev in Build-Depends to enable sound menu integration.

 -- Thomas PIERSON <web.pierson@gmail.com>  Mon, 10 Oct 2011 12:40:12 +0200

clementine (0.7.1+dfsg-3) unstable; urgency=low

  * Acknowledge NMU: 0.7.1+dfsg-2.1 . Thanks to Lisandro for his work.
  * Restore lost commits due to the NMU.

 -- Thomas PIERSON <web.pierson@gmail.com>  Thu, 18 Aug 2011 19:35:30 +0200

clementine (0.7.1+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by qFuzzyCompare function on armel, armhf and sh4. Thanks
    Nobuhiro Iwamatsu for the patch. This patch has already been applied
    upstream in current trunk (Closes: #636001).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 03 Aug 2011 14:14:46 -0300

clementine (0.7.1+dfsg-2) unstable; urgency=low

  [ Thomas Pierson ]
  * Remove 'gstreamer0.10-alsa' from Depends and put 'gstreamer0.10-alsa |
    gstreamer0.10-pulseaudio' in Recommends instead. Closes: #630547
    Thanks Christian Marillat for reporting this bug.
  * Update Vcs-git URL.
  * Add information about the 'dfsg_clean' branch of the package
    repository in README.source file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove unneeded explicit dependencies:
    - libechonest1.1.
    - libqxt-gui0.
    - libqxt-core0.

 -- Thomas PIERSON <web.pierson@gmail.com>  Thu, 07 Jul 2011 22:35:30 +0200

clementine (0.7.1+dfsg-1) unstable; urgency=low

  * Initial release. Thanks to Jérémy Bobbio for his sponsoring work.
    Thanks to Lisandro Pérez Meyer for his packaging work on libechonest
    depend. Thanks to Paul Grandperrin for his advices, patches and reviews
    about embedded libraries issues. Thanks to David Sansome for his
    upstream patches. Thanks to Arthur Rona for his advices.  Closes: #579859

 -- Thomas PIERSON <web.pierson@gmail.com>  Tue, 24 May 2011 01:25:23 +0200
